Bug 237925 - ecj does not handle OSGi bundle access rules correctly
ecj does not handle OSGi bundle access rules correctly
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: eclipse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Depends On: 237927
  Show dependency treegraph
Reported: 2007-04-26 01:52 EDT by Ben Konrath
Modified: 2013-03-11 15:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-11 15:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2007-04-26 01:52:56 EDT
+++ This bug was initially created as a clone of Bug #225329 +++

Description of problem:
Attempting to build eclipse-cdt for FC6 is getting bogged down with access
restriction warnings of the type:

    [javac] 74. WARNING in
    [javac]  (at line 181)
    [javac] 	return new Status(IStatus.WARNING, CCorePlugin.PLUGIN_ID, -1,
Util.bind("convention.namespace.dollarName"), null); //$NON-NLS-1$
    [javac] 	                          ^^^^^^^
    [javac] Access restriction: The field WARNING from the type IStatus is not
accessible due to restriction on classpath entry

Version-Release number of selected component (if applicable):

How reproducible:

Attempt to build eclipse-cdt rpm under FC6 brew.

Actual results:

Very slow build with warnings on every line.

Expected results:

Reasonably quick build.

Additional info:

Problem does not appear to be in rawhide.  Same rpm sources built quickly there.

-- Additional comment from bkonrath@redhat.com on 2007-01-29 17:26 EST --
This is caused by a bug in the ecj-square-brakets patch. I just fixed it in
rawhide so I'll push an update to FC6 with the updated patch. Thanks.

-- Additional comment from bkonrath@redhat.com on 2007-02-21 16:43 EST --
This is fixed in the upcoming 3.2.2-1.fc6 update. Thanks.
Comment 1 Ben Konrath 2007-04-26 01:56:07 EDT
This bug can causes ecj to display incorrect compiler warnings which
dramatically slows down Eclipse plugin builds. This bug may also cause some
Eclipse plugin builds to incorrectly fail.

Test For Fix: Compile the eclipse-cdt package and ensure that there are no
warnings related to access rules.
Comment 2 RHEL Product and Program Management 2007-12-03 15:42:15 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Alexander Kurtakov 2013-03-11 15:49:59 EDT
RHEL 5 has ended Production Phase 1 and thus only security bugfixes from this point on. Please use Eclipse from RHEL 6 if you need newer Eclipse version.

Note You need to log in before you can comment on or make changes to this bug.